package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import com.bpcl.lpg.core.constants.GeneratedBpcllpgcoreConstants;
import de.hybris.platform.jalo.enumeration.EnumerationValue;
import java.util.Date;
import de.hybris.platform.jalo.JaloBusinessException;
import de.hybris.platform.jalo.type.ComposedType;
import de.hybris.platform.jalo.ExtensibleItem;
import de.hybris.platform.jalo.JaloInvalidParameterException;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.util.BidirectionalOneToManyHandler;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class LpgPaymentInfo extends GenericItem
{
    public static final String TRANSACTIONID = "transactionID";
    public static final String TXNAMOUNT = "txnAmount";
    public static final String DISTRIBUTORID = "distributorID";
    public static final String PAYMENTMETHOD = "paymentMethod";
    public static final String TRANSACTIONSTATUS = "transactionStatus";
    public static final String TXNDATE = "txnDate";
    public static final String AUTHSTATUS = "authStatus";
    public static final String TXNERRORCODE = "txnErrorCode";
    public static final String TXNERRORDESCRIPTION = "txnErrorDescription";
    public static final String BANKREFERENCENO = "bankReferenceNo";
    public static final String BILLDESKTXNREFERENCEID = "billdeskTxnReferenceID";
    public static final String BPCLTXNREFERENCEID = "bpclTxnReferenceID";
    public static final String TRANSACTIONITIMESTAMP = "transactionITimeStamp";
    public static final String TRANSACTIONUTIMESTAMP = "transactionUTimeStamp";
    public static final String INITTIMESTAMP = "initTimeStamp";
    public static final String TXNREQMSG = "txnReqMsg";
    public static final String TXNREFUNDUTIMESTAMP = "txnRefundUTimeStamp";
    public static final String REFUNDSTATUSCODE = "refundStatusCode";
    public static final String REFUNDAMOUNT = "refundAmount";
    public static final String BILLDESKREFUNDID = "billdeskRefundID";
    public static final String BPCLREFUNDID = "bpclRefundID";
    public static final String REFUNDPROCESSSTATUS = "refundProcessStatus";
    public static final String REFUNDERRORCODE = "refundErrorCode";
    public static final String REFUNDERRORMSG = "refundErrorMsg";
    public static final String REFUNDREQMSG = "refundReqMsg";
    public static final String ISREFUNDED = "isRefunded";
    public static final String REFILLSTATUSCODE = "refillStatusCode";
    public static final String REFILLSTATUSMSG = "refillStatusMsg";
    public static final String REFILLBOOKINGSTATUS = "refillBookingStatus";
    public static final String REFILLBOOKINGID = "refillBookingID";
    public static final String REFILLBOOKINGITIMESTAMP = "refillBookingITimeStamp";
    public static final String REFILLBOOKINGUTIMESTAMP = "refillBookingUTimeStamp";
    public static final String PRODUCTCODE = "productCode";
    public static final String PRODUCTNAME = "productName";
    public static final String PRODUCTQTY = "productQty";
    public static final String PAYMENTRECEIVEDON = "paymentReceivedOn";
    public static final String DELIVERYCOMPLETIONDATE = "deliveryCompletionDate";
    public static final String CUSTOMERID = "customerId";
    public static final String ACCOUNT = "account";
    protected static final BidirectionalOneToManyHandler<LpgPaymentInfo> ACCOUNTHANDLER;
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return LpgPaymentInfo.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public LPGConnection getAccount(final SessionContext ctx) {
        return (LPGConnection)this.getProperty(ctx, "account".intern());
    }
    
    public LPGConnection getAccount() {
        return this.getAccount(this.getSession().getSessionContext());
    }
    
    protected void setAccount(final SessionContext ctx, final LPGConnection value) {
        if (ctx == null) {
            throw new JaloInvalidParameterException("ctx is null", 0);
        }
        if (ctx.getAttribute("core.types.creation.initial") != Boolean.TRUE) {
            throw new JaloInvalidParameterException("attribute '" + "account".intern() + "' is not changeable", 0);
        }
        LpgPaymentInfo.ACCOUNTHANDLER.addValue(ctx, (Item)value, (ExtensibleItem)this);
    }
    
    protected void setAccount(final LPGConnection value) {
        this.setAccount(this.getSession().getSessionContext(), value);
    }
    
    public String getAuthStatus(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "authStatus".intern());
    }
    
    public String getAuthStatus() {
        return this.getAuthStatus(this.getSession().getSessionContext());
    }
    
    public void setAuthStatus(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "authStatus".intern(), (Object)value);
    }
    
    public void setAuthStatus(final String value) {
        this.setAuthStatus(this.getSession().getSessionContext(), value);
    }
    
    public String getBankReferenceNo(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "bankReferenceNo".intern());
    }
    
    public String getBankReferenceNo() {
        return this.getBankReferenceNo(this.getSession().getSessionContext());
    }
    
    public void setBankReferenceNo(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "bankReferenceNo".intern(), (Object)value);
    }
    
    public void setBankReferenceNo(final String value) {
        this.setBankReferenceNo(this.getSession().getSessionContext(), value);
    }
    
    public String getBilldeskRefundID(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "billdeskRefundID".intern());
    }
    
    public String getBilldeskRefundID() {
        return this.getBilldeskRefundID(this.getSession().getSessionContext());
    }
    
    public void setBilldeskRefundID(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "billdeskRefundID".intern(), (Object)value);
    }
    
    public void setBilldeskRefundID(final String value) {
        this.setBilldeskRefundID(this.getSession().getSessionContext(), value);
    }
    
    public String getBilldeskTxnReferenceID(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "billdeskTxnReferenceID".intern());
    }
    
    public String getBilldeskTxnReferenceID() {
        return this.getBilldeskTxnReferenceID(this.getSession().getSessionContext());
    }
    
    public void setBilldeskTxnReferenceID(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "billdeskTxnReferenceID".intern(), (Object)value);
    }
    
    public void setBilldeskTxnReferenceID(final String value) {
        this.setBilldeskTxnReferenceID(this.getSession().getSessionContext(), value);
    }
    
    public String getBpclRefundID(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "bpclRefundID".intern());
    }
    
    public String getBpclRefundID() {
        return this.getBpclRefundID(this.getSession().getSessionContext());
    }
    
    public void setBpclRefundID(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "bpclRefundID".intern(), (Object)value);
    }
    
    public void setBpclRefundID(final String value) {
        this.setBpclRefundID(this.getSession().getSessionContext(), value);
    }
    
    public String getBpclTxnReferenceID(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "bpclTxnReferenceID".intern());
    }
    
    public String getBpclTxnReferenceID() {
        return this.getBpclTxnReferenceID(this.getSession().getSessionContext());
    }
    
    public void setBpclTxnReferenceID(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "bpclTxnReferenceID".intern(), (Object)value);
    }
    
    public void setBpclTxnReferenceID(final String value) {
        this.setBpclTxnReferenceID(this.getSession().getSessionContext(), value);
    }
    
    protected Item createItem(final SessionContext ctx, final ComposedType type, final Item.ItemAttributeMap allAttributes) throws JaloBusinessException {
        LpgPaymentInfo.ACCOUNTHANDLER.newInstance(ctx, allAttributes);
        return super.createItem(ctx, type, allAttributes);
    }
    
    public String getCustomerId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "customerId".intern());
    }
    
    public String getCustomerId() {
        return this.getCustomerId(this.getSession().getSessionContext());
    }
    
    public void setCustomerId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "customerId".intern(), (Object)value);
    }
    
    public void setCustomerId(final String value) {
        this.setCustomerId(this.getSession().getSessionContext(), value);
    }
    
    public Date getDeliveryCompletionDate(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "deliveryCompletionDate".intern());
    }
    
    public Date getDeliveryCompletionDate() {
        return this.getDeliveryCompletionDate(this.getSession().getSessionContext());
    }
    
    public void setDeliveryCompletionDate(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "deliveryCompletionDate".intern(), (Object)value);
    }
    
    public void setDeliveryCompletionDate(final Date value) {
        this.setDeliveryCompletionDate(this.getSession().getSessionContext(), value);
    }
    
    public String getDistributorID(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "distributorID".intern());
    }
    
    public String getDistributorID() {
        return this.getDistributorID(this.getSession().getSessionContext());
    }
    
    public void setDistributorID(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "distributorID".intern(), (Object)value);
    }
    
    public void setDistributorID(final String value) {
        this.setDistributorID(this.getSession().getSessionContext(), value);
    }
    
    public Date getInitTimeStamp(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "initTimeStamp".intern());
    }
    
    public Date getInitTimeStamp() {
        return this.getInitTimeStamp(this.getSession().getSessionContext());
    }
    
    public void setInitTimeStamp(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "initTimeStamp".intern(), (Object)value);
    }
    
    public void setInitTimeStamp(final Date value) {
        this.setInitTimeStamp(this.getSession().getSessionContext(), value);
    }
    
    public Boolean isIsRefunded(final SessionContext ctx) {
        return (Boolean)this.getProperty(ctx, "isRefunded".intern());
    }
    
    public Boolean isIsRefunded() {
        return this.isIsRefunded(this.getSession().getSessionContext());
    }
    
    public boolean isIsRefundedAsPrimitive(final SessionContext ctx) {
        final Boolean value = this.isIsRefunded(ctx);
        return value != null && value;
    }
    
    public boolean isIsRefundedAsPrimitive() {
        return this.isIsRefundedAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setIsRefunded(final SessionContext ctx, final Boolean value) {
        this.setProperty(ctx, "isRefunded".intern(), (Object)value);
    }
    
    public void setIsRefunded(final Boolean value) {
        this.setIsRefunded(this.getSession().getSessionContext(), value);
    }
    
    public void setIsRefunded(final SessionContext ctx, final boolean value) {
        this.setIsRefunded(ctx, Boolean.valueOf(value));
    }
    
    public void setIsRefunded(final boolean value) {
        this.setIsRefunded(this.getSession().getSessionContext(), value);
    }
    
    public String getPaymentMethod(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "paymentMethod".intern());
    }
    
    public String getPaymentMethod() {
        return this.getPaymentMethod(this.getSession().getSessionContext());
    }
    
    public void setPaymentMethod(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "paymentMethod".intern(), (Object)value);
    }
    
    public void setPaymentMethod(final String value) {
        this.setPaymentMethod(this.getSession().getSessionContext(), value);
    }
    
    public Date getPaymentReceivedOn(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "paymentReceivedOn".intern());
    }
    
    public Date getPaymentReceivedOn() {
        return this.getPaymentReceivedOn(this.getSession().getSessionContext());
    }
    
    public void setPaymentReceivedOn(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "paymentReceivedOn".intern(), (Object)value);
    }
    
    public void setPaymentReceivedOn(final Date value) {
        this.setPaymentReceivedOn(this.getSession().getSessionContext(), value);
    }
    
    public String getProductCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "productCode".intern());
    }
    
    public String getProductCode() {
        return this.getProductCode(this.getSession().getSessionContext());
    }
    
    public void setProductCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "productCode".intern(), (Object)value);
    }
    
    public void setProductCode(final String value) {
        this.setProductCode(this.getSession().getSessionContext(), value);
    }
    
    public String getProductName(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "productName".intern());
    }
    
    public String getProductName() {
        return this.getProductName(this.getSession().getSessionContext());
    }
    
    public void setProductName(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "productName".intern(), (Object)value);
    }
    
    public void setProductName(final String value) {
        this.setProductName(this.getSession().getSessionContext(), value);
    }
    
    public Integer getProductQty(final SessionContext ctx) {
        return (Integer)this.getProperty(ctx, "productQty".intern());
    }
    
    public Integer getProductQty() {
        return this.getProductQty(this.getSession().getSessionContext());
    }
    
    public int getProductQtyAsPrimitive(final SessionContext ctx) {
        final Integer value = this.getProductQty(ctx);
        return (value != null) ? value : 0;
    }
    
    public int getProductQtyAsPrimitive() {
        return this.getProductQtyAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setProductQty(final SessionContext ctx, final Integer value) {
        this.setProperty(ctx, "productQty".intern(), (Object)value);
    }
    
    public void setProductQty(final Integer value) {
        this.setProductQty(this.getSession().getSessionContext(), value);
    }
    
    public void setProductQty(final SessionContext ctx, final int value) {
        this.setProductQty(ctx, Integer.valueOf(value));
    }
    
    public void setProductQty(final int value) {
        this.setProductQty(this.getSession().getSessionContext(), value);
    }
    
    public String getRefillBookingID(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "refillBookingID".intern());
    }
    
    public String getRefillBookingID() {
        return this.getRefillBookingID(this.getSession().getSessionContext());
    }
    
    public void setRefillBookingID(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "refillBookingID".intern(), (Object)value);
    }
    
    public void setRefillBookingID(final String value) {
        this.setRefillBookingID(this.getSession().getSessionContext(), value);
    }
    
    public Date getRefillBookingITimeStamp(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "refillBookingITimeStamp".intern());
    }
    
    public Date getRefillBookingITimeStamp() {
        return this.getRefillBookingITimeStamp(this.getSession().getSessionContext());
    }
    
    public void setRefillBookingITimeStamp(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "refillBookingITimeStamp".intern(), (Object)value);
    }
    
    public void setRefillBookingITimeStamp(final Date value) {
        this.setRefillBookingITimeStamp(this.getSession().getSessionContext(), value);
    }
    
    public EnumerationValue getRefillBookingStatus(final SessionContext ctx) {
        return (EnumerationValue)this.getProperty(ctx, "refillBookingStatus".intern());
    }
    
    public EnumerationValue getRefillBookingStatus() {
        return this.getRefillBookingStatus(this.getSession().getSessionContext());
    }
    
    public void setRefillBookingStatus(final SessionContext ctx, final EnumerationValue value) {
        this.setProperty(ctx, "refillBookingStatus".intern(), (Object)value);
    }
    
    public void setRefillBookingStatus(final EnumerationValue value) {
        this.setRefillBookingStatus(this.getSession().getSessionContext(), value);
    }
    
    public Date getRefillBookingUTimeStamp(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "refillBookingUTimeStamp".intern());
    }
    
    public Date getRefillBookingUTimeStamp() {
        return this.getRefillBookingUTimeStamp(this.getSession().getSessionContext());
    }
    
    public void setRefillBookingUTimeStamp(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "refillBookingUTimeStamp".intern(), (Object)value);
    }
    
    public void setRefillBookingUTimeStamp(final Date value) {
        this.setRefillBookingUTimeStamp(this.getSession().getSessionContext(), value);
    }
    
    public String getRefillStatusCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "refillStatusCode".intern());
    }
    
    public String getRefillStatusCode() {
        return this.getRefillStatusCode(this.getSession().getSessionContext());
    }
    
    public void setRefillStatusCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "refillStatusCode".intern(), (Object)value);
    }
    
    public void setRefillStatusCode(final String value) {
        this.setRefillStatusCode(this.getSession().getSessionContext(), value);
    }
    
    public String getRefillStatusMsg(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "refillStatusMsg".intern());
    }
    
    public String getRefillStatusMsg() {
        return this.getRefillStatusMsg(this.getSession().getSessionContext());
    }
    
    public void setRefillStatusMsg(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "refillStatusMsg".intern(), (Object)value);
    }
    
    public void setRefillStatusMsg(final String value) {
        this.setRefillStatusMsg(this.getSession().getSessionContext(), value);
    }
    
    public Double getRefundAmount(final SessionContext ctx) {
        return (Double)this.getProperty(ctx, "refundAmount".intern());
    }
    
    public Double getRefundAmount() {
        return this.getRefundAmount(this.getSession().getSessionContext());
    }
    
    public double getRefundAmountAsPrimitive(final SessionContext ctx) {
        final Double value = this.getRefundAmount(ctx);
        return (value != null) ? value : 0.0;
    }
    
    public double getRefundAmountAsPrimitive() {
        return this.getRefundAmountAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setRefundAmount(final SessionContext ctx, final Double value) {
        this.setProperty(ctx, "refundAmount".intern(), (Object)value);
    }
    
    public void setRefundAmount(final Double value) {
        this.setRefundAmount(this.getSession().getSessionContext(), value);
    }
    
    public void setRefundAmount(final SessionContext ctx, final double value) {
        this.setRefundAmount(ctx, Double.valueOf(value));
    }
    
    public void setRefundAmount(final double value) {
        this.setRefundAmount(this.getSession().getSessionContext(), value);
    }
    
    public String getRefundErrorCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "refundErrorCode".intern());
    }
    
    public String getRefundErrorCode() {
        return this.getRefundErrorCode(this.getSession().getSessionContext());
    }
    
    public void setRefundErrorCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "refundErrorCode".intern(), (Object)value);
    }
    
    public void setRefundErrorCode(final String value) {
        this.setRefundErrorCode(this.getSession().getSessionContext(), value);
    }
    
    public String getRefundErrorMsg(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "refundErrorMsg".intern());
    }
    
    public String getRefundErrorMsg() {
        return this.getRefundErrorMsg(this.getSession().getSessionContext());
    }
    
    public void setRefundErrorMsg(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "refundErrorMsg".intern(), (Object)value);
    }
    
    public void setRefundErrorMsg(final String value) {
        this.setRefundErrorMsg(this.getSession().getSessionContext(), value);
    }
    
    public String getRefundProcessStatus(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "refundProcessStatus".intern());
    }
    
    public String getRefundProcessStatus() {
        return this.getRefundProcessStatus(this.getSession().getSessionContext());
    }
    
    public void setRefundProcessStatus(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "refundProcessStatus".intern(), (Object)value);
    }
    
    public void setRefundProcessStatus(final String value) {
        this.setRefundProcessStatus(this.getSession().getSessionContext(), value);
    }
    
    public String getRefundReqMsg(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "refundReqMsg".intern());
    }
    
    public String getRefundReqMsg() {
        return this.getRefundReqMsg(this.getSession().getSessionContext());
    }
    
    public void setRefundReqMsg(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "refundReqMsg".intern(), (Object)value);
    }
    
    public void setRefundReqMsg(final String value) {
        this.setRefundReqMsg(this.getSession().getSessionContext(), value);
    }
    
    public String getRefundStatusCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "refundStatusCode".intern());
    }
    
    public String getRefundStatusCode() {
        return this.getRefundStatusCode(this.getSession().getSessionContext());
    }
    
    public void setRefundStatusCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "refundStatusCode".intern(), (Object)value);
    }
    
    public void setRefundStatusCode(final String value) {
        this.setRefundStatusCode(this.getSession().getSessionContext(), value);
    }
    
    public String getTransactionID(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "transactionID".intern());
    }
    
    public String getTransactionID() {
        return this.getTransactionID(this.getSession().getSessionContext());
    }
    
    public void setTransactionID(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "transactionID".intern(), (Object)value);
    }
    
    public void setTransactionID(final String value) {
        this.setTransactionID(this.getSession().getSessionContext(), value);
    }
    
    public Date getTransactionITimeStamp(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "transactionITimeStamp".intern());
    }
    
    public Date getTransactionITimeStamp() {
        return this.getTransactionITimeStamp(this.getSession().getSessionContext());
    }
    
    public void setTransactionITimeStamp(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "transactionITimeStamp".intern(), (Object)value);
    }
    
    public void setTransactionITimeStamp(final Date value) {
        this.setTransactionITimeStamp(this.getSession().getSessionContext(), value);
    }
    
    public EnumerationValue getTransactionStatus(final SessionContext ctx) {
        return (EnumerationValue)this.getProperty(ctx, "transactionStatus".intern());
    }
    
    public EnumerationValue getTransactionStatus() {
        return this.getTransactionStatus(this.getSession().getSessionContext());
    }
    
    public void setTransactionStatus(final SessionContext ctx, final EnumerationValue value) {
        this.setProperty(ctx, "transactionStatus".intern(), (Object)value);
    }
    
    public void setTransactionStatus(final EnumerationValue value) {
        this.setTransactionStatus(this.getSession().getSessionContext(), value);
    }
    
    public Date getTransactionUTimeStamp(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "transactionUTimeStamp".intern());
    }
    
    public Date getTransactionUTimeStamp() {
        return this.getTransactionUTimeStamp(this.getSession().getSessionContext());
    }
    
    public void setTransactionUTimeStamp(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "transactionUTimeStamp".intern(), (Object)value);
    }
    
    public void setTransactionUTimeStamp(final Date value) {
        this.setTransactionUTimeStamp(this.getSession().getSessionContext(), value);
    }
    
    public Double getTxnAmount(final SessionContext ctx) {
        return (Double)this.getProperty(ctx, "txnAmount".intern());
    }
    
    public Double getTxnAmount() {
        return this.getTxnAmount(this.getSession().getSessionContext());
    }
    
    public double getTxnAmountAsPrimitive(final SessionContext ctx) {
        final Double value = this.getTxnAmount(ctx);
        return (value != null) ? value : 0.0;
    }
    
    public double getTxnAmountAsPrimitive() {
        return this.getTxnAmountAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setTxnAmount(final SessionContext ctx, final Double value) {
        this.setProperty(ctx, "txnAmount".intern(), (Object)value);
    }
    
    public void setTxnAmount(final Double value) {
        this.setTxnAmount(this.getSession().getSessionContext(), value);
    }
    
    public void setTxnAmount(final SessionContext ctx, final double value) {
        this.setTxnAmount(ctx, Double.valueOf(value));
    }
    
    public void setTxnAmount(final double value) {
        this.setTxnAmount(this.getSession().getSessionContext(), value);
    }
    
    public Date getTxnDate(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "txnDate".intern());
    }
    
    public Date getTxnDate() {
        return this.getTxnDate(this.getSession().getSessionContext());
    }
    
    public void setTxnDate(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "txnDate".intern(), (Object)value);
    }
    
    public void setTxnDate(final Date value) {
        this.setTxnDate(this.getSession().getSessionContext(), value);
    }
    
    public String getTxnErrorCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "txnErrorCode".intern());
    }
    
    public String getTxnErrorCode() {
        return this.getTxnErrorCode(this.getSession().getSessionContext());
    }
    
    public void setTxnErrorCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "txnErrorCode".intern(), (Object)value);
    }
    
    public void setTxnErrorCode(final String value) {
        this.setTxnErrorCode(this.getSession().getSessionContext(), value);
    }
    
    public String getTxnErrorDescription(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "txnErrorDescription".intern());
    }
    
    public String getTxnErrorDescription() {
        return this.getTxnErrorDescription(this.getSession().getSessionContext());
    }
    
    public void setTxnErrorDescription(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "txnErrorDescription".intern(), (Object)value);
    }
    
    public void setTxnErrorDescription(final String value) {
        this.setTxnErrorDescription(this.getSession().getSessionContext(), value);
    }
    
    public Date getTxnRefundUTimeStamp(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "txnRefundUTimeStamp".intern());
    }
    
    public Date getTxnRefundUTimeStamp() {
        return this.getTxnRefundUTimeStamp(this.getSession().getSessionContext());
    }
    
    public void setTxnRefundUTimeStamp(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "txnRefundUTimeStamp".intern(), (Object)value);
    }
    
    public void setTxnRefundUTimeStamp(final Date value) {
        this.setTxnRefundUTimeStamp(this.getSession().getSessionContext(), value);
    }
    
    public String getTxnReqMsg(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "txnReqMsg".intern());
    }
    
    public String getTxnReqMsg() {
        return this.getTxnReqMsg(this.getSession().getSessionContext());
    }
    
    public void setTxnReqMsg(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "txnReqMsg".intern(), (Object)value);
    }
    
    public void setTxnReqMsg(final String value) {
        this.setTxnReqMsg(this.getSession().getSessionContext(), value);
    }
    
    static {
        ACCOUNTHANDLER = new BidirectionalOneToManyHandler(GeneratedBpcllpgcoreConstants.TC.LPGPAYMENTINFO, false, "account", (String)null, false, true, 0);
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("transactionID", Item.AttributeMode.INITIAL);
        tmp.put("txnAmount", Item.AttributeMode.INITIAL);
        tmp.put("distributorID", Item.AttributeMode.INITIAL);
        tmp.put("paymentMethod", Item.AttributeMode.INITIAL);
        tmp.put("transactionStatus", Item.AttributeMode.INITIAL);
        tmp.put("txnDate", Item.AttributeMode.INITIAL);
        tmp.put("authStatus", Item.AttributeMode.INITIAL);
        tmp.put("txnErrorCode", Item.AttributeMode.INITIAL);
        tmp.put("txnErrorDescription", Item.AttributeMode.INITIAL);
        tmp.put("bankReferenceNo", Item.AttributeMode.INITIAL);
        tmp.put("billdeskTxnReferenceID", Item.AttributeMode.INITIAL);
        tmp.put("bpclTxnReferenceID", Item.AttributeMode.INITIAL);
        tmp.put("transactionITimeStamp", Item.AttributeMode.INITIAL);
        tmp.put("transactionUTimeStamp", Item.AttributeMode.INITIAL);
        tmp.put("initTimeStamp", Item.AttributeMode.INITIAL);
        tmp.put("txnReqMsg", Item.AttributeMode.INITIAL);
        tmp.put("txnRefundUTimeStamp", Item.AttributeMode.INITIAL);
        tmp.put("refundStatusCode", Item.AttributeMode.INITIAL);
        tmp.put("refundAmount", Item.AttributeMode.INITIAL);
        tmp.put("billdeskRefundID", Item.AttributeMode.INITIAL);
        tmp.put("bpclRefundID", Item.AttributeMode.INITIAL);
        tmp.put("refundProcessStatus", Item.AttributeMode.INITIAL);
        tmp.put("refundErrorCode", Item.AttributeMode.INITIAL);
        tmp.put("refundErrorMsg", Item.AttributeMode.INITIAL);
        tmp.put("refundReqMsg", Item.AttributeMode.INITIAL);
        tmp.put("isRefunded", Item.AttributeMode.INITIAL);
        tmp.put("refillStatusCode", Item.AttributeMode.INITIAL);
        tmp.put("refillStatusMsg", Item.AttributeMode.INITIAL);
        tmp.put("refillBookingStatus", Item.AttributeMode.INITIAL);
        tmp.put("refillBookingID", Item.AttributeMode.INITIAL);
        tmp.put("refillBookingITimeStamp", Item.AttributeMode.INITIAL);
        tmp.put("refillBookingUTimeStamp", Item.AttributeMode.INITIAL);
        tmp.put("productCode", Item.AttributeMode.INITIAL);
        tmp.put("productName", Item.AttributeMode.INITIAL);
        tmp.put("productQty", Item.AttributeMode.INITIAL);
        tmp.put("paymentReceivedOn", Item.AttributeMode.INITIAL);
        tmp.put("deliveryCompletionDate", Item.AttributeMode.INITIAL);
        tmp.put("customerId", Item.AttributeMode.INITIAL);
        tmp.put("account", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
